Subject: Re: [bug#38127] [PATCH] gnu: Add x42-plugins.

From: Marius Bakke <[email-masked]>
Date: Wed, 13 Nov 2019 23:26:20 +0100

Alexandros Theodotou <[email-masked]> writes:

>> > +audio and MIDI plugins that can also run as standalone JACK 
>> > applications.")
>> > +    (home-page "https://x42-plugins.com/x42/")
>> > +    (license license:gpl2+)))
>> 
>> I notice in the FAQ that "Some binaries are provided as demo.  A
>> license/signature file is required to remove the evaluation
>> restrictions".
>> 
>> If there are such binaries in the source tarball, they must be
>> removed
>> with a source 'snippet' to ensure 'guix build --source' contains only
>> free software.
> This tarball only contains sources and is specifically targeted at
> distro packagers (see https://github.com/x42/x42-plugins). I believe
> the binaries are provided as separate downloads on the website.

OK, that's reassuring.  Thanks for checking!

> From 05ffc94c834f99b3cb56a9ebc97096958a07981e Mon Sep 17 00:00:00 2001
> From: Alexandros Theodotou <[email-masked]>
> Date: Fri, 8 Nov 2019 10:54:00 +0000
> Subject: [PATCH] gnu: Add x42-plugins.
>
> * gnu/packages/music.scm: (x42-plugins): New variable.

[...]

> +    (inputs
> +     `(("cairo" ,cairo)
> +       ("fftwf" ,fftwf)
> +       ("jack" ,jack-1)
> +       ("fftw" ,fftw)

I removed 'fftw', since it appeared unused.  Let me know if that was
mistaken.  I also sorted these alphabetically out of preference.

Applied!